#ifndef VTK_HH
#define VTK_HH

#include <dune/common/shared_ptr.hh>
#include <dune/grid/io/file/vtk/vtkwriter.hh>

#include <dune/fufem/functions/vtkbasisgridfunction.hh>

template <class VertexBasis, class CellBasis, class VectorType,
          class SingletonVectorType, class GridView>
void writeVtk(VertexBasis vertexBasis, VectorType displacement,
              SingletonVectorType state, CellBasis cellBasis,
              SingletonVectorType stress, GridView gridView,
              std::string filename);

#endif
